Extending Qt Creator Manual | ToolChainConfigWidget

Extending Qt Creator Manual 4.5.2

# ToolChainConfigWidget Class

(ProjectExplorer::ToolChainConfigWidget)

- List of all members, including inherited members

## Public Functions

| ToolChainConfigWidget(ToolChain *tc)
void | apply()
void | discard()
bool | isDirty() const
void | makeReadOnly()
ToolChain * | toolChain() const

## Signals

void | dirty()

## Protected Functions

void | addErrorLabel()
virtual void | applyImpl() = 0
void | clearErrorMessage()
virtual void | discardImpl() = 0
virtual bool | isDirtyImpl() const = 0
virtual void | makeReadOnlyImpl() = 0
void | setErrorMessage(const QString &)

## Member Function Documentation

### ToolChainConfigWidget::ToolChainConfigWidget(ToolChain *tc)

Default constructs an instance of ToolChainConfigWidget.

### `[protected]` void ToolChainConfigWidget::addErrorLabel()

### void ToolChainConfigWidget::apply()

### `[pure virtual protected]` void ToolChainConfigWidget::applyImpl()

### `[protected]` void ToolChainConfigWidget::clearErrorMessage()

### `[signal]` void ToolChainConfigWidget::dirty()

### void ToolChainConfigWidget::discard()

### `[pure virtual protected]` void ToolChainConfigWidget::discardImpl()

### bool ToolChainConfigWidget::isDirty() const

### `[pure virtual protected]` bool ToolChainConfigWidget::isDirtyImpl() const

### void ToolChainConfigWidget::makeReadOnly()

### `[pure virtual protected]` void ToolChainConfigWidget::makeReadOnlyImpl()

### `[protected]` void ToolChainConfigWidget::setErrorMessage(const QString &)

### ToolChain *ToolChainConfigWidget::toolChain() const